> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources.md).

# DataSources

## Overview

Servoy has three types of datasources:

* [Database datasource](/reference/servoy-developer/solution-explorer/resources/database-servers.md#overview) - this is the regular datasource, which can be any table or view from any database (that Servoy can connect using an JDBC driver)
* [In Memory datasource](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources/inmemory-datasources.md) - each solution has its special In Memory server , that can store tables with data.
* [View Foundsets datasource](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources/viewfoundsets-datasource.md#overview) - each solution has its special View Foundset server, that stores table definitions and can be loaded with data. This is similar to how SQL Views work except Servoy View Foundsets can be defined from Servoy Developer while SQL Views can only be defined(modified) from SQL (they are readonly in Servoy Developer)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
